> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 평가 결과 쿼리

> 하나 이상의 evaluations에 대한 그룹화된 평가 결과 행을 조회합니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json post /v2/{entity}/{project}/eval_results/query
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/eval_results/query:
    post:
      tags:
        - Eval Results
      summary: 평가 결과 쿼리
      description: 하나 이상의 evaluations에 대한 그룹화된 평가 결과 행을 조회합니다.
      operationId: eval_results_query_v2__entity___project__eval_results_query_post
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EvalResultsQueryBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvalResultsQueryRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    EvalResultsQueryBody:
      additionalProperties: false
      properties:
        evaluation_call_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: 포함할 Evaluation 루트 호출 ID입니다.
          title: Evaluation Call Ids
        evaluation_run_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: Evaluation Runs API의 evaluation 호출 ID에 대한 별칭입니다.
          title: Evaluation Run Ids
        filters:
          anyOf:
            - items:
                $ref: '#/components/schemas/EvalResultsFilter'
              type: array
            - type: 'null'
          description: 그룹화된 행에 적용되는 필터입니다. 여러 필터는 AND로 결합됩니다.
          title: Filters
        include_predict_and_score_children:
          default: true
          description: >-
            true(기본값)로 설정하면 각 predict_and_score Call의 하위 Call(predict/score)을
            가져와 predict_call_id, scorer_call_ids 및 더 정확한 지연 시간/토큰 데이터를 채웁니다.
            false이면 이러한 필드는 predict_and_score Call 자체에서 파생됩니다(predict_call_id 및
            scorer_call_ids는 null/empty가 됨).
          title: Include Predict And Score Children
          type: boolean
        include_raw_data_rows:
          default: false
          description: >-
            true이면 각 결과 행의 raw_data_row를 채웁니다. 인라인 행은 해당 dict 값으로 반환되며, dataset를
            참조하는 행은 resolve_row_refs도 true가 아닌 한 ref 문자열로 반환됩니다.
          title: Include Raw Data Rows
          type: boolean
        include_rows:
          default: true
          description: >-
            true이면 그룹화된 행/트라이얼 데이터를 `rows`에 포함하고, 요청된 행 수준 뷰에 대해 `total_rows`를
            계산합니다.
          title: Include Rows
          type: boolean
        include_summary:
          default: false
          description: true이면 집계된 scorer/evaluation summary 데이터를 `summary`에 포함합니다.
          title: Include Summary
          type: boolean
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          description: 그룹화와 교집합 적용 후 적용되는 선택적 행 수준 페이지 크기입니다.
          title: Limit
        offset:
          default: 0
          description: 그룹화와 교집합 적용 후 적용되는 선택적 행 수준 페이지 오프셋입니다.
          title: Offset
          type: integer
        require_intersection:
          default: false
          description: true이면 요청된 모든 evaluation에 있는 행만 포함합니다.
          title: Require Intersection
          type: boolean
        resolve_row_refs:
          default: false
          description: >-
            true이면(include_raw_data_rows=True 필요) 테이블 조회를 통해 dataset 행 참조 문자열을
            실제 행 데이터로 해석합니다. false이면 dataset 행 ref를 있는 그대로 반환합니다.
          title: Resolve Row Refs
          type: boolean
        sort_by:
          anyOf:
            - items:
                $ref: '#/components/schemas/EvalResultsSortBy'
              type: array
            - type: 'null'
          description: >-
            결과 행의 정렬 지정입니다. 지원되는 필드 접두사: scores.<name>, inputs.<path>,
            outputs.<path>. null이면 행이 row_digest ASC 기준으로 정렬됩니다.
          title: Sort By
        summary_require_intersection:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            summary 섹션에 대한 선택적 교집합 동작입니다. null이면 `require_intersection` 값을
            사용합니다.
          title: Summary Require Intersection
      title: EvalResultsQueryBody
      type: object
    EvalResultsQueryRes:
      properties:
        rows:
          items:
            $ref: '#/components/schemas/EvalResultsRow'
          title: Rows
          type: array
        summary:
          anyOf:
            - $ref: '#/components/schemas/EvalResultsSummaryRes'
            - type: 'null'
        total_rows:
          title: Total Rows
          type: integer
        warnings:
          description: '치명적이지 않은 경고입니다(예: dataset 행 ref를 해석하지 못한 경우).'
          items:
            type: string
          title: Warnings
          type: array
      required:
        - rows
        - total_rows
      title: EvalResultsQueryRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    EvalResultsFilter:
      additionalProperties: false
      description: 선택한 평가에 범위가 지정된 필터입니다.
      properties:
        evaluation_call_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 설정하면 필터 필드의 범위가 이 평가의 데이터로 지정됩니다.
          title: Evaluation Call Id
        query:
          $ref: '#/components/schemas/Query'
          description: >-
            필터 표현식입니다. 지원되는 필드 접두사: scores.<name>, inputs.<path>,
            outputs.<path>.
      required:
        - query
      title: EvalResultsFilter
      type: object
    EvalResultsSortBy:
      additionalProperties: false
      description: 평가 결과에 대한 정렬 지정이며, SortBy를 확장합니다.
      properties:
        direction:
          enum:
            - asc
            - desc
          title: Direction
          type: string
        evaluation_call_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 정렬 범위를 특정 평가의 점수로 지정합니다.
          title: Evaluation Call Id
        field:
          title: Field
          type: string
        mode:
          default: value
          description: >-
            'value'이면 지정된 평가의 필드 값으로 정렬합니다. 'difference'이면 모든 평가에서 해당 필드의 최대-최소
            차이로 정렬합니다(evaluation_call_id는 무시됨).
          enum:
            - value
            - difference
          title: Mode
          type: string
      required:
        - field
        - direction
      title: EvalResultsSortBy
      type: object
    EvalResultsRow:
      properties:
        evaluations:
          items:
            $ref: '#/components/schemas/EvalResultsRowEvaluation'
          title: Evaluations
          type: array
        raw_data_row:
          anyOf:
            - {}
            - type: 'null'
          title: Raw Data Row
        row_digest:
          title: Row Digest
          type: string
      required:
        - row_digest
      title: EvalResultsRow
      type: object
    EvalResultsSummaryRes:
      properties:
        evaluations:
          items:
            $ref: '#/components/schemas/EvalResultsEvaluationSummary'
          title: Evaluations
          type: array
        row_count:
          default: 0
          title: Row Count
          type: integer
      title: EvalResultsSummaryRes
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    Query:
      additionalProperties: false
      properties:
        $expr:
          anyOf:
            - $ref: '#/components/schemas/AndOperation'
            - $ref: '#/components/schemas/OrOperation'
            - $ref: '#/components/schemas/NotOperation'
            - $ref: '#/components/schemas/EqOperation'
            - $ref: '#/components/schemas/GtOperation'
            - $ref: '#/components/schemas/LtOperation'
            - $ref: '#/components/schemas/GteOperation'
            - $ref: '#/components/schemas/LteOperation'
            - $ref: '#/components/schemas/InOperation'
            - $ref: '#/components/schemas/ContainsOperation'
          title: $Expr
      required:
        - $expr
      title: Query
      type: object
    EvalResultsRowEvaluation:
      properties:
        evaluation_call_id:
          title: Evaluation Call Id
          type: string
        trials:
          items:
            $ref: '#/components/schemas/EvalResultsTrial'
          title: Trials
          type: array
      required:
        - evaluation_call_id
      title: EvalResultsRowEvaluation
      type: object
    EvalResultsEvaluationSummary:
      properties:
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        evaluation_call_id:
          title: Evaluation Call Id
          type: string
        evaluation_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Evaluation Ref
        model_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Ref
        scorer_stats:
          items:
            $ref: '#/components/schemas/EvalResultsScorerStats'
          title: Scorer Stats
          type: array
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        trace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Trace Id
        trial_count:
          default: 0
          title: Trial Count
          type: integer
      required:
        - evaluation_call_id
      title: EvalResultsEvaluationSummary
      type: object
    AndOperation:
      description: |-
        논리 AND입니다. 모든 조건이 true로 평가되어야 합니다.

        예시:
            ```
            {
                "$and": [
                    {"$eq": [{"$getField": "op_name"}, {"$literal": "predict"}]},
                    {"$gt": [{"$getField": "summary.usage.tokens"}, {"$literal": 1000}]}
                ]
            }
            ```
      properties:
        $and:
          items:
            anyOf:
              - $ref: '#/components/schemas/LiteralOperation'
              - $ref: '#/components/schemas/GetFieldOperator'
              - $ref: '#/components/schemas/ConvertOperation'
              - $ref: '#/components/schemas/AndOperation'
              - $ref: '#/components/schemas/OrOperation'
              - $ref: '#/components/schemas/NotOperation'
              - $ref: '#/components/schemas/EqOperation'
              - $ref: '#/components/schemas/GtOperation'
              - $ref: '#/components/schemas/LtOperation'
              - $ref: '#/components/schemas/GteOperation'
              - $ref: '#/components/schemas/LteOperation'
              - $ref: '#/components/schemas/InOperation'
              - $ref: '#/components/schemas/ContainsOperation'
          title: $And
          type: array
      required:
        - $and
      title: AndOperation
      type: object
    OrOperation:
      description: |-
        논리 OR입니다. 조건 중 하나 이상이 참이어야 합니다.

        예:
            ```
            {
                "$or": [
                    {"$eq": [{"$getField": "op_name"}, {"$literal": "a"}]},
                    {"$eq": [{"$getField": "op_name"}, {"$literal": "b"}]}
                ]
            }
            ```
      properties:
        $or:
          items:
            anyOf:
              - $ref: '#/components/schemas/LiteralOperation'
              - $ref: '#/components/schemas/GetFieldOperator'
              - $ref: '#/components/schemas/ConvertOperation'
              - $ref: '#/components/schemas/AndOperation'
              - $ref: '#/components/schemas/OrOperation'
              - $ref: '#/components/schemas/NotOperation'
              - $ref: '#/components/schemas/EqOperation'
              - $ref: '#/components/schemas/GtOperation'
              - $ref: '#/components/schemas/LtOperation'
              - $ref: '#/components/schemas/GteOperation'
              - $ref: '#/components/schemas/LteOperation'
              - $ref: '#/components/schemas/InOperation'
              - $ref: '#/components/schemas/ContainsOperation'
          title: $Or
          type: array
      required:
        - $or
      title: OrOperation
      type: object
    NotOperation:
      description: |-
        논리 NOT입니다. 조건을 반전합니다.

        예:
            ```
            {
                "$not": [
                    {"$eq": [{"$getField": "op_name"}, {"$literal": "debug"}]}
                ]
            }
            ```
      properties:
        $not:
          maxItems: 1
          minItems: 1
          prefixItems:
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
          title: $Not
          type: array
      required:
        - $not
      title: NotOperation
      type: object
    EqOperation:
      description: |-
        두 피연산자가 같은지 확인합니다.

        예:
            ```
            {
                "$eq": [{"$getField": "op_name"}, {"$literal": "predict"}]
            }
            ```
      properties:
        $eq:
          maxItems: 2
          minItems: 2
          prefixItems:
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
          title: $Eq
          type: array
      required:
        - $eq
      title: EqOperation
      type: object
    GtOperation:
      description: |-
        초과 비교입니다.

        예:
            ```
            {
                "$gt": [{"$getField": "summary.usage.tokens"}, {"$literal": 100}]
            }
            ```
      properties:
        $gt:
          maxItems: 2
          minItems: 2
          prefixItems:
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
          title: $Gt
          type: array
      required:
        - $gt
      title: GtOperation
      type: object
    LtOperation:
      description: |-
        미만 비교입니다.

        예:
            ```
            {
                "$lt": [{"$getField": "summary.usage.tokens"}, {"$literal": 100}]
            }
            ```
      properties:
        $lt:
          maxItems: 2
          minItems: 2
          prefixItems:
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
          title: $Lt
          type: array
      required:
        - $lt
      title: LtOperation
      type: object
    GteOperation:
      description: |-
        이상 비교입니다.

        예:
            ```
            {
                "$gte": [{"$getField": "summary.usage.tokens"}, {"$literal": 100}]
            }
            ```
      properties:
        $gte:
          maxItems: 2
          minItems: 2
          prefixItems:
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
          title: $Gte
          type: array
      required:
        - $gte
      title: GteOperation
      type: object
    LteOperation:
      description: |-
        작거나 같은 비교입니다.

        예:
            ```
            {
                "$lte": [{"$getField": "summary.usage.tokens"}, {"$literal": 100}]
            }
            ```
      properties:
        $lte:
          maxItems: 2
          minItems: 2
          prefixItems:
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
          title: $Lte
          type: array
      required:
        - $lte
      title: LteOperation
      type: object
    InOperation:
      description: |-
        멤버십 검사입니다.

        왼쪽 피연산자가 두 번째 피연산자로 제공된 목록에 있으면 true를 반환합니다.

        예:
            ```
            {
                "$in": [
                    {"$getField": "op_name"},
                    [{"$literal": "predict"}, {"$literal": "generate"}]
                ]
            }
            ```
      properties:
        $in:
          maxItems: 2
          minItems: 2
          prefixItems:
            - anyOf:
                - $ref: '#/components/schemas/LiteralOperation'
                - $ref: '#/components/schemas/GetFieldOperator'
                - $ref: '#/components/schemas/ConvertOperation'
                - $ref: '#/components/schemas/AndOperation'
                - $ref: '#/components/schemas/OrOperation'
                - $ref: '#/components/schemas/NotOperation'
                - $ref: '#/components/schemas/EqOperation'
                - $ref: '#/components/schemas/GtOperation'
                - $ref: '#/components/schemas/LtOperation'
                - $ref: '#/components/schemas/GteOperation'
                - $ref: '#/components/schemas/LteOperation'
                - $ref: '#/components/schemas/InOperation'
                - $ref: '#/components/schemas/ContainsOperation'
            - items:
                anyOf:
                  - $ref: '#/components/schemas/LiteralOperation'
                  - $ref: '#/components/schemas/GetFieldOperator'
                  - $ref: '#/components/schemas/ConvertOperation'
                  - $ref: '#/components/schemas/AndOperation'
                  - $ref: '#/components/schemas/OrOperation'
                  - $ref: '#/components/schemas/NotOperation'
                  - $ref: '#/components/schemas/EqOperation'
                  - $ref: '#/components/schemas/GtOperation'
                  - $ref: '#/components/schemas/LtOperation'
                  - $ref: '#/components/schemas/GteOperation'
                  - $ref: '#/components/schemas/LteOperation'
                  - $ref: '#/components/schemas/InOperation'
                  - $ref: '#/components/schemas/ContainsOperation'
              type: array
          title: $In
          type: array
      required:
        - $in
      title: InOperation
      type: object
    ContainsOperation:
      description: |-
        대소문자를 구분하지 않는 부분 문자열 일치입니다.

        MongoDB의 일부가 아닙니다. Weave 전용 확장입니다.

        예:
            ```
            {
                "$contains": {
                    "input": {"$getField": "display_name"},
                    "substr": {"$literal": "llm"},
                    "case_insensitive": true
                }
            }
            ```
      properties:
        $contains:
          $ref: '#/components/schemas/ContainsSpec'
      required:
        - $contains
      title: ContainsOperation
      type: object
    EvalResultsTrial:
      properties:
        genai_span_ref:
          anyOf:
            - items:
                $ref: '#/components/schemas/GenAISpanRef'
              type: array
            - type: 'null'
          title: Genai Span Ref
        model_latency_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Model Latency Seconds
        model_output:
          anyOf:
            - {}
            - type: 'null'
          title: Model Output
        predict_and_score_call_id:
          title: Predict And Score Call Id
          type: string
        predict_call_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Predict Call Id
        scorer_call_ids:
          additionalProperties:
            type: string
          title: Scorer Call Ids
          type: object
        scores:
          additionalProperties: true
          title: Scores
          type: object
        total_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Tokens
      required:
        - predict_and_score_call_id
      title: EvalResultsTrial
      type: object
    EvalResultsScorerStats:
      description: 단일 평탄화 점수 차원(scorer_key 또는 scorer_key.path.to.leaf)에 대한 통계입니다.
      properties:
        numeric_count:
          default: 0
          title: Numeric Count
          type: integer
        numeric_mean:
          anyOf:
            - type: number
            - type: 'null'
          title: Numeric Mean
        pass_known_count:
          default: 0
          title: Pass Known Count
          type: integer
        pass_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Pass Rate
        pass_signal_coverage:
          anyOf:
            - type: number
            - type: 'null'
          title: Pass Signal Coverage
        pass_true_count:
          default: 0
          title: Pass True Count
          type: integer
        path:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            중첩된 차원에 대한 점으로 연결된 하위 경로입니다. 예를 들어 token_distance.passed의 경우
            'passed'입니다. 루트 수준 스칼라 scorer의 경우 None입니다.
          title: Path
        scorer_key:
          title: Scorer Key
          type: string
        trial_count:
          default: 0
          title: Trial Count
          type: integer
        value_type:
          anyOf:
            - enum:
                - binary
                - continuous
                - text
              type: string
            - type: 'null'
          description: '리프 값의 유형입니다: binary(bool), continuous(number), 또는 text(string).'
          title: Value Type
      required:
        - scorer_key
      title: EvalResultsScorerStats
      type: object
    LiteralOperation:
      description: |-
        쿼리 언어에서 상수 값을 나타냅니다.

        이는 JSON으로 직렬화할 수 있는 모든 표준 값이 될 수 있습니다.

        예:
            ```
            {"$literal": "predict"}
            ```
      properties:
        $literal:
          anyOf:
            - type: string
            - type: integer
            - type: number
            - type: boolean
            - additionalProperties:
                $ref: '#/components/schemas/LiteralOperation'
              type: object
            - items:
                $ref: '#/components/schemas/LiteralOperation'
              type: array
            - type: 'null'
          title: $Literal
      required:
        - $literal
      title: LiteralOperation
      type: object
    GetFieldOperator:
      description: |-
        트레이스된 call의 필드에 접근합니다.

        중첩된 필드 접근에는 점 표기법을 지원합니다. 예: `summary.usage.tokens`.

        `CallSchema`에 있는 필드에서만 작동하며, 여기에는 다음이 포함됩니다.
        - `op_name`, `trace_id`, `started_at`와 같은 최상위 필드
        - `inputs.input_name`, `summary.usage.tokens` 등의 중첩 필드

        예:
            ```
            {"$getField": "op_name"}
            ```
      properties:
        $getField:
          title: $Getfield
          type: string
      required:
        - $getField
      title: GetFieldOperator
      type: object
    ConvertOperation:
      description: |-
        입력값을 특정 유형(예: `int`, `bool`, `string`)으로 변환합니다.

        예:
            ```
            {
                "$convert": {
                    "input": {"$getField": "inputs.value"},
                    "to": "int"
                }
            }
            ```
      properties:
        $convert:
          $ref: '#/components/schemas/ConvertSpec'
      required:
        - $convert
      title: ConvertOperation
      type: object
    ContainsSpec:
      description: |-
        `$contains` 오퍼레이션의 사양입니다.

        - `input`: 검색할 문자열입니다.
        - `substr`: 찾을 부분 문자열입니다.
        - `case_insensitive`: true이면 대소문자를 구분하지 않고 일치합니다.
      properties:
        case_insensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Case Insensitive
        input:
          anyOf:
            - $ref: '#/components/schemas/LiteralOperation'
            - $ref: '#/components/schemas/GetFieldOperator'
            - $ref: '#/components/schemas/ConvertOperation'
            - $ref: '#/components/schemas/AndOperation'
            - $ref: '#/components/schemas/OrOperation'
            - $ref: '#/components/schemas/NotOperation'
            - $ref: '#/components/schemas/EqOperation'
            - $ref: '#/components/schemas/GtOperation'
            - $ref: '#/components/schemas/LtOperation'
            - $ref: '#/components/schemas/GteOperation'
            - $ref: '#/components/schemas/LteOperation'
            - $ref: '#/components/schemas/InOperation'
            - $ref: '#/components/schemas/ContainsOperation'
          title: Input
        substr:
          anyOf:
            - $ref: '#/components/schemas/LiteralOperation'
            - $ref: '#/components/schemas/GetFieldOperator'
            - $ref: '#/components/schemas/ConvertOperation'
            - $ref: '#/components/schemas/AndOperation'
            - $ref: '#/components/schemas/OrOperation'
            - $ref: '#/components/schemas/NotOperation'
            - $ref: '#/components/schemas/EqOperation'
            - $ref: '#/components/schemas/GtOperation'
            - $ref: '#/components/schemas/LtOperation'
            - $ref: '#/components/schemas/GteOperation'
            - $ref: '#/components/schemas/LteOperation'
            - $ref: '#/components/schemas/InOperation'
            - $ref: '#/components/schemas/ContainsOperation'
          title: Substr
      required:
        - input
        - substr
      title: ContainsSpec
      type: object
    GenAISpanRef:
      properties:
        span_id:
          title: Span Id
          type: string
        trace_id:
          title: Trace Id
          type: string
      required:
        - trace_id
        - span_id
      title: GenAISpanRef
      type: object
    ConvertSpec:
      description: |-
        `$convert`의 변환 세부 정보를 지정합니다.

        - `input`: 변환할 피연산자입니다.
        - `to`: 변환할 대상 유형입니다.
      properties:
        input:
          anyOf:
            - $ref: '#/components/schemas/LiteralOperation'
            - $ref: '#/components/schemas/GetFieldOperator'
            - $ref: '#/components/schemas/ConvertOperation'
            - $ref: '#/components/schemas/AndOperation'
            - $ref: '#/components/schemas/OrOperation'
            - $ref: '#/components/schemas/NotOperation'
            - $ref: '#/components/schemas/EqOperation'
            - $ref: '#/components/schemas/GtOperation'
            - $ref: '#/components/schemas/LtOperation'
            - $ref: '#/components/schemas/GteOperation'
            - $ref: '#/components/schemas/LteOperation'
            - $ref: '#/components/schemas/InOperation'
            - $ref: '#/components/schemas/ContainsOperation'
          title: Input
        to:
          enum:
            - double
            - string
            - int
            - bool
            - exists
          title: To
          type: string
      required:
        - input
        - to
      title: ConvertSpec
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````